ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Experimenter::Impl Class Reference

Private implementation details of Experimenter model object. More...

Collaboration diagram for ome::xml::model::Experimenter::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | email
| Email property.
ome::compat::shared_ptr< std::string > | userName
| UserName property.
ome::compat::shared_ptr< std::string > | firstName
| FirstName property.
ome::compat::shared_ptr< std::string > | middleName
| MiddleName property.
ome::compat::shared_ptr< std::string > | lastName
| LastName property.
std::string | id
| ID property.
ome::compat::shared_ptr< std::string > | institution
| Institution property.
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type | images
| Image_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::MicrobeamManipulation, ome::compat::weak_ptr >::type | microbeamManipulations
| MicrobeamManipulation_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type | projects
| Project_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type | experimenterGroupLinks
| ExperimenterGroup_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type | datasets
| Dataset_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Experiment, ome::compat::weak_ptr >::type | experiments
| Experiment_BackReference back reference (occurs more than once)

## Detailed Description

Private implementation details of Experimenter model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Experimenter.cpp